package de.mischok.academy.tasklist.controller;

import de.mischok.academy.tasklist.domain.Task;
import de.mischok.academy.tasklist.repository.TaskRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Controller
@RequestMapping("tasks")
public class TaskController {

    @Autowired
    private TaskRepository taskRepository;

    @GetMapping
    public ResponseEntity<List<Task>> getTasks(@RequestParam String query) {
        query = "%" + query.toLowerCase() + "%";

        List<Task> taskList = taskRepository.findByTitleLikeIgnoreCase(query);

        return ResponseEntity.ok(taskList);
    }
}
